Bug 478017 - MIGRATED_FROM_JIRA: Change "Mapping Entry" to "Dynamic Entry"
MIGRATED_FROM_JIRA: Change "Mapping Entry" to "Dynamic Entry"
Status: CLOSED UPSTREAM
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Chandrasekar Kannan
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:51 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 02:51:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:51:11 EST
Click on a node in the DIT. Under "Entry Type" there are 2 options: "Static Entry" and "Mapping Entry". The "Mapping Entry" should be replaced with "Dynamic Entry" and the description in the parenthesis should be replaced with "entries are generated dynamically".

Please note that even the static entry can have dynamic attributes (you can enter an expression in the attribute values). The difference between Static Entry and Dynamic Entry is not on the attributes, but on the dn. The former can only have one dn, but the later can generate multiple entries.
Additional Comments From adison dated Mon Apr 18 15:42:08 CDT 2005 
This issue has been resolved and commited to svn.

Additional Comments From adison dated Mon Apr 18 15:42:42 CDT 2005 
I've also renamed Entry.isMapping() to Entry.isDynamic() to make it consistent with the GUI property.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '6',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'endisd',
          'key' => 'PENROSE-7',
          'assignee' => 'adison',
          'summary' => 'Change "Mapping Entry" to "Dynamic Entry"',
          'id' => '10068',
          'updated' => '2005-07-26 10:16:24.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-06-03 00:00:00.0',
                             'sequence' => '1',
                             'name' => 'Penrose-0.9.1',
                             'released' => 'true',
                             'id' => '10004',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Click on a node in the DIT. Under "Entry Type" there are 2 options: "Static Entry" and "Mapping Entry". The "Mapping Entry" should be replaced with "Dynamic Entry" and the description in the parenthesis should be replaced with "entries are generated dynamically".

Please note that even the static entry can have dynamic attributes (you can enter an expression in the attribute values). The difference between Static Entry and Dynamic Entry is not on the attributes, but on the dn. The former can only have one dn, but the later can generate multiple entries.',
          'created' => '2005-04-14 00:47:10.0',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:51:13 EST
Closing bug as it was already closed in Jira - PENROSE-7

Note You need to log in before you can comment on or make changes to this bug.